### Function

# FwupdPlugin size_checked_add

since: 2.0.19

#### Declaration [src]

    gsize
    fu_size_checked_add (
      gsize a,
      gsize b
    )

#### Description [src]

Performs a checked addition of a and b, ensuring the result does not overflow.

Available since: 2.0.19

#### Parameters

`a`

  Type: `gsize`

  The #gsize left operand.

`b`

  Type: `gsize`

  The #gsize right operand.

#### Return value

Type: `gsize`

`a`+`b`, or `G_MAXSIZE` on overflow.